## ecrire 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(ecrire)
set(VMAJ 0)
set(VMIN 1)
set(VMIC 0)
set(PACKAGE_VERSION ${VMAJ}.${VMIN}.${VMIC})

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

include_directories ("${PROJECT_BINARY_DIR}")

# FIXME: add version checking!
find_package(Eina REQUIRED)
find_package(Eet REQUIRED)
find_package(Evas REQUIRED)
find_package(Ecore REQUIRED)
find_package(Ecore COMPONENTS X)
find_package(Edje REQUIRED)
find_package(Efreet REQUIRED)
find_package(Elementary REQUIRED)

if(DEFINED ECORE_X_FOUND)
   set(HAVE_ECORE_X 1)
endif(DEFINED ECORE_X_FOUND)


INCLUDE(CheckIncludeFiles)
CHECK_INCLUDE_FILES(unistd.h HAVE_UNISTD_H)

# likely put this into an FindCompilerAttribute.cmake:
INCLUDE(CheckCSourceCompiles)
SET(HAVE___ATTRIBUTE__)
CHECK_C_SOURCE_COMPILES(
   "void  foo (int bar __attribute__((unused)) ) { }
   static void baz (void) __attribute__((unused));
   static void baz (void) { }
   int main(){}
   " HAVE___ATTRIBUTE__
   )

ADD_DEFINITIONS(-DPACKAGE_BIN_DIR="${CMAKE_INSTALL_PREFIX}/bin"
   -DPACKAGE_DATA_DIR="${CMAKE_INSTALL_PREFIX}/share/${CMAKE_PROJECT_NAME}"
   -DPACKAGE_LIB_DIR="${CMAKE_INSTALL_PREFIX}/lib")

set(LOCALEDIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 
ADD_DEFINITIONS(
   -DLOCALE_DIR="${LOCALEDIR}"
   )

ADD_DEFINITIONS(-DHAVE_CONFIG_H)

find_package(Gettext)
if (GETTEXT_FOUND)
   set(GettextTranslate_ALL true)
   set(GettextTranslate_GMO_BINARY true)
   include(GettextTranslate)
   set(ENABLE_NLS 1)
endif (GETTEXT_FOUND)

configure_file (
   "${PROJECT_SOURCE_DIR}/cmakeconfig.h.in"
   "${PROJECT_BINARY_DIR}/config.h"
   )

add_subdirectory(src/bin)
add_subdirectory(data)
add_subdirectory(po)

# Make dist
set(CPACK_PACKAGE_VERSION_MAJOR ${VMAJ})
set(CPACK_PACKAGE_VERSION_MINOR ${VMIN})
set(CPACK_PACKAGE_VERSION_PATCH ${VMIC})
set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
set(CPACK_SOURCE_PACKAGE_FILE_NAME
   "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_IGNORE_FILES
   "${CMAKE_BINARY_DIR};/.git/;.svn/;.swp$;~$;${CPACK_SOURCE_IGNORE_FILES}")
include(CPack)
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

include(MakeDistcheck)
add_distcheck()

=== bin/CMakeLists.txt ===
LIST(APPEND ECRIRE_CC_SOURCES
   main.c
   file_utils.c
   cfg.c
   ui/file_related.c
   ui/search_dialog.c
   ui/goto_dialog.c
   ui/font_dialog.c
   ui/alerts.c
   )

include_directories(
   ${EINA_INCLUDE_DIRS}
   ${ELEMENTARY_INCLUDE_DIRS}
   ${EDJE_INCLUDE_DIRS}
   ${ECORE_INCLUDE_DIRS}
   ${ECORE_X_INCLUDE_DIRS}
   ${EFREET_INCLUDE_DIRS}
   ${EVAS_INCLUDE_DIRS}
   ${EET_INCLUDE_DIRS}
   )

add_executable(ecrire ${ECRIRE_CC_SOURCES})
target_link_libraries(ecrire
   ${EINA_LIBRARIES}
   ${ELEMENTARY_LIBRARIES}
   ${EDJE_LIBRARIES}
   ${ECORE_LIBRARIES}
   ${ECORE_X_LIBRARIES}
   ${EFREET_LIBRARIES}
   ${EVAS_LIBRARIES}
   ${EET_LIBRARIES}
   )

install(TARGETS ecrire DESTINATION bin)

=== debian/changelog ===
ecrire (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Mon, 01 Aug 2016 17:08:15 +0200

=== debian/control ===
Source: ecrire
Section: unknown
Priority: optional
Maintainer: pavroo <pavroo@debian>
Build-Depends: debhelper (>=9), autotools-dev, aspell, automake, autopoint, build-essential, ccache, check, cython, doxygen, freeglut3-dev, imagemagick, libasound2-dev, libblkid-dev, libbullet-dev, libfontconfig1-dev, libfreetype6-dev, libfribidi-dev, libgif-dev, libglib2.0-dev, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libharfbuzz-dev, libiconv-hook-dev, libjpeg-dev, libblkid-dev, libluajit-5.1-dev, libmount-dev, libpam0g-dev, libpng-dev, libpoppler-dev, libpulse-dev, libraw-dev, librsvg2-dev, libsndfile1-dev, libspectre-dev, libssl-dev, libsystemd-dev, libtiff5-dev, libtool, libudev-dev, libudisks2-dev, libunibreak-dev, libvlc-dev, libwebp-dev, libxcb-shape0-dev, libxcb-keysyms1-dev, libxcomposite-dev, libxcursor-dev, libxine2-dev, libxinerama-dev, libxp-dev, libxrandr-dev, libxss-dev, libxtst-dev, manpages-dev, python-dbus-dev, ragel, valgrind, wmctrl, xserver-xephyr, efl (>=1.16.0)
Standards-Version: 3.9.6
Homepage: https://www.enlightenment.org
#Vcs-Git: git://anonscm.debian.org/collab-maint/ecrire-0.1.0.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ecrire-0.1.0.git

Package: ecrire
Architecture: any
Depends: ${misc:Depends}, libc6 (>=0.21), efl (>=1.16.0)
Description: Ecrire
 EFL simple text editor
